DeveloperSide.NET Forums

DeveloperSide.NET => Anything else goes here => Topic started by: rp_024 on November 29, 2008, 02:00:39 PM



Title: PHPmotion and phpshield on Devside WAMP
Post by: rp_024 on November 29, 2008, 02:00:39 PM
Hi Admin,

I haven't been around in a long long long time, but I'm still running trusty v0.999 devside wamp. Never any need to change or upgrade because it always runs like a charm.

I've successfully installed and have been running phpbb2, zina, and coppermine over the past several years.

Today I have interest in installing phpmotion. The problem is, this script uses phpshield. The instructions they supply from phpshield to install the loaders are very vague.

I've installed the loader in the c:\www\php5\ext directory as it says to. I've configured the php.ini files in both the www directory and c:\windows directory to match the specific changes it says to make.

I still can't get phpshield installed. Can you help direct if you know?

Thank you

Ross


Title: Re: PHPmotion and phpshield on Devside WAMP
Post by: admin on November 29, 2008, 02:19:03 PM
I've taken a look at their user guide, under support. Part 3 talks about installing the loader. It does not seem very straight forward. Some of it might be in error. I think automatic loading is only for php as a cgi, not as a module.



Title: Re: PHPmotion and phpshield on Devside WAMP
Post by: rp_024 on November 29, 2008, 03:50:57 PM
That's what I figured, I think they do this on purpose so that people will buy their install service. Do you have any ideas how to make the phpshield work?


Title: Re: PHPmotion and phpshield on Devside WAMP
Post by: admin on November 29, 2008, 04:25:25 PM
Match up the version of your PHP with the loader.

Copy the phpshield.xx.win file into php's ext\ folder.

Edit php.ini, add line: extension=phpshield.xx.win

Save file. Restart Apache.

Run phpinfo() and see if the module is loaded.